[arch-commits] Commit in gcc/repos (17 files)

Allan McRae allan at archlinux.org
Wed Jan 25 22:42:46 UTC 2012


    Date: Wednesday, January 25, 2012 @ 17:42:46
  Author: allan
Revision: 147557

db-move: moved gcc from [testing] to [core] (i686)

Added:
  gcc/repos/core-i686/PKGBUILD
    (from rev 147556, gcc/repos/testing-i686/PKGBUILD)
  gcc/repos/core-i686/gcc-ada.install
    (from rev 147556, gcc/repos/testing-i686/gcc-ada.install)
  gcc/repos/core-i686/gcc-fortran.install
    (from rev 147556, gcc/repos/testing-i686/gcc-fortran.install)
  gcc/repos/core-i686/gcc-go.install
    (from rev 147556, gcc/repos/testing-i686/gcc-go.install)
  gcc/repos/core-i686/gcc-hash-style-both.patch
    (from rev 147556, gcc/repos/testing-i686/gcc-hash-style-both.patch)
  gcc/repos/core-i686/gcc-libs.install
    (from rev 147556, gcc/repos/testing-i686/gcc-libs.install)
  gcc/repos/core-i686/gcc.install
    (from rev 147556, gcc/repos/testing-i686/gcc.install)
  gcc/repos/core-i686/gcc_pure64.patch
    (from rev 147556, gcc/repos/testing-i686/gcc_pure64.patch)
Deleted:
  gcc/repos/core-i686/PKGBUILD
  gcc/repos/core-i686/gcc-ada.install
  gcc/repos/core-i686/gcc-fortran.install
  gcc/repos/core-i686/gcc-go.install
  gcc/repos/core-i686/gcc-hash-style-both.patch
  gcc/repos/core-i686/gcc-libs.install
  gcc/repos/core-i686/gcc.install
  gcc/repos/core-i686/gcc_pure64.patch
  gcc/repos/testing-i686/

---------------------------+
 PKGBUILD                  |  514 ++++++++++++++++++++++----------------------
 gcc-ada.install           |   40 +--
 gcc-fortran.install       |   32 +-
 gcc-go.install            |   40 +--
 gcc-hash-style-both.patch |  244 ++++++++++----------
 gcc-libs.install          |   32 +-
 gcc.install               |   40 +--
 gcc_pure64.patch          |   52 ++--
 8 files changed, 500 insertions(+), 494 deletions(-)

Deleted: core-i686/PKGBUILD
===================================================================
--- core-i686/PKGBUILD	2012-01-25 22:32:22 UTC (rev 147556)
+++ core-i686/PKGBUILD	2012-01-25 22:42:46 UTC (rev 147557)
@@ -1,254 +0,0 @@
-# $Id$
-# Maintainer: Allan McRae <allan at archlinux.org>
-
-# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
-# NOTE: libtool requires rebuilt with each new gcc version
-
-pkgname=('gcc' 'gcc-libs' 'gcc-fortran' 'gcc-objc' 'gcc-ada' 'gcc-go')
-pkgver=4.6.2
-pkgrel=5
-_snapshot=4.6-20111223
-_libstdcppmanver=20111215		# Note: check source directory name when updating this
-pkgdesc="The GNU Compiler Collection"
-arch=('i686' 'x86_64')
-license=('GPL' 'LGPL' 'FDL' 'custom')
-url="http://gcc.gnu.org"
-makedepends=('binutils>=2.22' 'libmpc' 'cloog' 'ppl' 'gcc-ada')
-checkdepends=('dejagnu')
-options=('!libtool' '!emptydirs')
-source=(#ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-${pkgver}.tar.bz2
-	ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-${_snapshot}.tar.bz2
-	ftp://gcc.gnu.org/pub/gcc/libstdc++/doxygen/libstdc++-man.${_libstdcppmanver}.tar.bz2
-	gcc_pure64.patch
-	gcc-hash-style-both.patch)
-md5sums=('4755b9f6ac0abecbaa2097ed9738406a'
-         '450772ce32daed97d7383199f8797f33'
-         '4030ee1c08dd1e843c0225b772360e76'
-         '4df25b623799b148a0703eaeec8fdf3f')
-
-if [ -n "${_snapshot}" ]; then
-  _basedir="${srcdir}/gcc-${_snapshot}"
-else
-  _basedir="${srcdir}/gcc-${pkgver}"
-fi
-
-build() {
-  cd ${_basedir}
-
-  # Do not install libiberty
-  sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in
-
-  # Do not run fixincludes
-  sed -i 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
-
-  if [ "${CARCH}" = "x86_64" ]; then
-    patch -Np1 -i ${srcdir}/gcc_pure64.patch
-  fi
-  patch -Np0 -i ${srcdir}/gcc-hash-style-both.patch
-
-  echo ${pkgver} > gcc/BASE-VER
-
-  cd ${srcdir}
-  mkdir gcc-build && cd gcc-build
-
-  ${_basedir}/configure --prefix=/usr \
-      --libdir=/usr/lib --libexecdir=/usr/lib \
-      --mandir=/usr/share/man --infodir=/usr/share/info \
-      --with-bugurl=https://bugs.archlinux.org/ \
-      --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ \
-      --enable-shared --enable-threads=posix \
-      --with-system-zlib --enable-__cxa_atexit \
-      --disable-libunwind-exceptions --enable-clocale=gnu \
-      --enable-gnu-unique-object --enable-linker-build-id \
-      --with-ppl --enable-cloog-backend=isl \
-      --enable-lto --enable-gold --enable-ld=default \
-      --enable-plugin --with-plugin-ld=ld.gold \
-      --disable-multilib --disable-libssp --disable-libstdcxx-pch \
-      --enable-checking=release
-  make
-}
-
-check() {
-  cd gcc-build
-
-  # increase stack size to prevent test failures
-  # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=31827
-  ulimit -s 32768
-
-  # do not abort on error as some are "expected"
-  make -k check || true
-  ${_basedir}/contrib/test_summary
-}
-
-package_gcc-libs()
-{
-  pkgdesc="Runtime libraries shipped by GCC"
-  groups=('base')
-  depends=('glibc>=2.14')
-  install=gcc-libs.install
-
-  cd gcc-build
-  make -j1 -C $CHOST/libgcc DESTDIR=${pkgdir} install-shared
-  for lib in libmudflap libgomp libstdc++-v3/src; do
-    make -j1 -C $CHOST/$lib DESTDIR=${pkgdir} install-toolexeclibLTLIBRARIES
-  done
-  make -j1 -C $CHOST/libstdc++-v3/po DESTDIR=${pkgdir} install
-  make -j1 -C $CHOST/libgomp DESTDIR=${pkgdir} install-info
-
-  make -j1 DESTDIR=${pkgdir} install-target-libquadmath  
-  make -j1 DESTDIR=${pkgdir} install-target-libgfortran
-  make -j1 DESTDIR=${pkgdir} install-target-libobjc
-
-  # remove unnecessary files installed by install-target-{libquadmath,libgfortran,libobjc}
-  rm -rf ${pkgdir}/usr/lib/{gcc/,libgfortran.spec}
-
-  # remove static libraries
-  find ${pkgdir} -name *.a -delete
-  
-  # Install Runtime Library Exception
-  install -Dm644 ${_basedir}/COPYING.RUNTIME \
-    ${pkgdir}/usr/share/licenses/gcc-libs/RUNTIME.LIBRARY.EXCEPTION
-}
-
-package_gcc()
-{
-  pkgdesc="The GNU Compiler Collection - C and C++ frontends"
-  depends=("gcc-libs=$pkgver-$pkgrel" 'binutils>=2.22' 'libmpc' 'cloog' 'ppl')
-  groups=('base-devel')
-  install=gcc.install
-
-  cd gcc-build
-  
-  # unfortunately it is much, much easier to install the lot and clean-up the mess...
-  make -j1 DESTDIR=${pkgdir} install
-  rm $pkgdir/usr/bin/{{$CHOST-,}gfortran,{$CHOST-,}gccgo,gnat*}
-  rm $pkgdir/usr/lib/*.so*
-  rm $pkgdir/usr/lib/lib{ffi,gfortran,go{,begin},objc,quadmath}.a
-  rm $pkgdir/usr/lib/libgfortran.spec
-  rm -r $pkgdir/usr/lib/gcc/$CHOST/${pkgver}/{ada{include,lib},finclude,include/objc}
-  rm $pkgdir/usr/lib/gcc/$CHOST/${pkgver}/include/{ffi{,target}.h,quadmath{,_weak}.h}
-  rm $pkgdir/usr/lib/gcc/$CHOST/${pkgver}/{cc1obj{,plus},f951,gnat1,go1,libgfortranbegin.a}
-  rm -r $pkgdir/usr/lib/go
-  rm $pkgdir/usr/share/info/{gccgo,gfortran,gnat*,libgomp,libquadmath}.info
-  rm $pkgdir/usr/share/locale/{de,fr}/LC_MESSAGES/libstdc++.mo
-  rm $pkgdir/usr/share/man/man1/{gccgo,gfortran}.1
-  rm $pkgdir/usr/share/man/man3/ffi*
-
-  # many packages require these symlinks
-  install -dm755 ${pkgdir}/lib
-  ln -sf /usr/bin/cpp ${pkgdir}/lib/cpp
-  ln -sf gcc ${pkgdir}/usr/bin/cc
-  ln -sf g++ ${pkgdir}/usr/bin/c++
-
-  # install gengtype for plugin support
-  install -m755 gcc/build/gengtype $pkgdir/usr/lib/gcc/$CHOST/${pkgver}/
-  install -m644 gcc/gtype.state $pkgdir/usr/lib/gcc/$CHOST/${pkgver}/
-
-  # POSIX conformance launcher scripts for c89 and c99
-  cat > $pkgdir/usr/bin/c89 <<"EOF"
-#!/bin/sh
-fl="-std=c89"
-for opt; do
-  case "$opt" in
-    -ansi|-std=c89|-std=iso9899:1990) fl="";;
-    -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
-	    exit 1;;
-  esac
-done
-exec gcc $fl ${1+"$@"}
-EOF
-
-  cat > $pkgdir/usr/bin/c99 <<"EOF"
-#!/bin/sh
-fl="-std=c99"
-for opt; do
-  case "$opt" in
-    -std=c99|-std=iso9899:1999) fl="";;
-    -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
-	    exit 1;;
-  esac
-done
-exec gcc $fl ${1+"$@"}
-EOF
-
-  chmod 755 $pkgdir/usr/bin/c{8,9}9
-
-  # install the libstdc++ man pages
-  install -dm755 ${pkgdir}/usr/share/man/man3
-  install -m644 ${srcdir}/man3/* ${pkgdir}/usr/share/man/man3/
-
-  # Install Runtime Library Exception
-  install -Dm644 ${_basedir}/COPYING.RUNTIME \
-    ${pkgdir}/usr/share/licenses/gcc/RUNTIME.LIBRARY.EXCEPTION
-}
-
-package_gcc-fortran()
-{
-  pkgdesc="Fortran front-end for GCC"
-  depends=("gcc=$pkgver-$pkgrel")
-  install=gcc-fortran.install
-
-  cd gcc-build
-  make -j1 DESTDIR=${pkgdir} install-target-libquadmath
-  make -j1 DESTDIR=$pkgdir install-target-libgfortran
-  make -j1 -C $CHOST/libgomp DESTDIR=$pkgdir install-nodist_fincludeHEADERS
-  make -j1 -C gcc DESTDIR=$pkgdir fortran.install-{common,man,info}
-  install -Dm755 gcc/f951 $pkgdir/usr/lib/gcc/$CHOST/$pkgver/f951
-  
-  # remove libraries included in gcc-libs
-  rm ${pkgdir}/usr/lib/lib{gfortran,quadmath}.so*
-  rm ${pkgdir}/usr/share/info/libquadmath.info
-  
-  # Install Runtime Library Exception
-  install -Dm644 ${_basedir}/COPYING.RUNTIME \
-    ${pkgdir}/usr/share/licenses/gcc-fortran/RUNTIME.LIBRARY.EXCEPTION
-}
-
-package_gcc-objc()
-{
-  pkgdesc="Objective-C front-end for GCC"
-  depends=("gcc=$pkgver-$pkgrel")
-
-  cd gcc-build
-  make -j1 DESTDIR=$pkgdir install-target-libobjc
-  install -dm755 $pkgdir/usr/lib/gcc/$CHOST/$pkgver/
-  install -m755 gcc/cc1obj{,plus} $pkgdir/usr/lib/gcc/$CHOST/$pkgver/
-
-  # remove libraries included in gcc-libs
-  rm ${pkgdir}/usr/lib/libobjc.so*
-
-  # Install Runtime Library Exception
-  install -Dm644 ${_basedir}/COPYING.RUNTIME \
-    ${pkgdir}/usr/share/licenses/gcc-objc/RUNTIME.LIBRARY.EXCEPTION
-}
-
-package_gcc-ada()
-{
-  pkgdesc="Ada front-end for GCC (GNAT)"
-  depends=("gcc=$pkgver-$pkgrel")
-  install=gcc-ada.install
-
-  cd gcc-build/gcc
-  make -j1 DESTDIR=$pkgdir ada.install-{common,info}
-  install -m755 gnat1 $pkgdir/usr/lib/gcc/$CHOST/$pkgver
-  
-  # Install Runtime Library Exception
-  install -Dm644 ${_basedir}/COPYING.RUNTIME \
-    ${pkgdir}/usr/share/licenses/gcc-ada/RUNTIME.LIBRARY.EXCEPTION
-}
-
-package_gcc-go()
-{
-  pkgdesc="Go front-end for GCC"
-  depends=("gcc=$pkgver-$pkgrel")
-  install=gcc-go.install
-
-  cd gcc-build
-  make -j1 DESTDIR=$pkgdir install-target-libgo
-  make -j1 -C gcc DESTDIR=$pkgdir go.install-{common,man,info}
-  install -Dm755 gcc/go1 $pkgdir/usr/lib/gcc/$CHOST/$pkgver/go1
-
-  # Install Runtime Library Exception
-  install -Dm644 ${_basedir}/COPYING.RUNTIME \
-    ${pkgdir}/usr/share/licenses/gcc-go/RUNTIME.LIBRARY.EXCEPTION
-}

Copied: gcc/repos/core-i686/PKGBUILD (from rev 147556, gcc/repos/testing-i686/PKGBUILD)
===================================================================
--- core-i686/PKGBUILD	                        (rev 0)
+++ core-i686/PKGBUILD	2012-01-25 22:42:46 UTC (rev 147557)
@@ -0,0 +1,260 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+
+# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
+# NOTE: libtool requires rebuilt with each new gcc version
+
+pkgname=('gcc' 'gcc-libs' 'gcc-fortran' 'gcc-objc' 'gcc-ada' 'gcc-go')
+pkgver=4.6.2
+pkgrel=6
+_snapshot=4.6-20120120
+_libstdcppmanver=20111215		# Note: check source directory name when updating this
+pkgdesc="The GNU Compiler Collection"
+arch=('i686' 'x86_64')
+license=('GPL' 'LGPL' 'FDL' 'custom')
+url="http://gcc.gnu.org"
+makedepends=('binutils>=2.22' 'libmpc' 'cloog' 'ppl' 'gcc-ada')
+checkdepends=('dejagnu')
+options=('!libtool' '!emptydirs')
+source=(#ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-${pkgver}.tar.bz2
+	ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-${_snapshot}.tar.bz2
+	ftp://gcc.gnu.org/pub/gcc/libstdc++/doxygen/libstdc++-man.${_libstdcppmanver}.tar.bz2
+	gcc_pure64.patch
+	gcc-hash-style-both.patch)
+md5sums=('f7ca5d9f7a07216577f81318b7cf56ef'
+         '450772ce32daed97d7383199f8797f33'
+         '4030ee1c08dd1e843c0225b772360e76'
+         '4df25b623799b148a0703eaeec8fdf3f')
+
+if [ -n "${_snapshot}" ]; then
+  _basedir="${srcdir}/gcc-${_snapshot}"
+else
+  _basedir="${srcdir}/gcc-${pkgver}"
+fi
+
+build() {
+  cd ${_basedir}
+
+  # Do not install libiberty
+  sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in
+
+  # Do not run fixincludes
+  sed -i 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
+
+  if [ "${CARCH}" = "x86_64" ]; then
+    patch -Np1 -i ${srcdir}/gcc_pure64.patch
+  fi
+  patch -Np0 -i ${srcdir}/gcc-hash-style-both.patch
+
+  echo ${pkgver} > gcc/BASE-VER
+
+  cd ${srcdir}
+  mkdir gcc-build && cd gcc-build
+
+  ${_basedir}/configure --prefix=/usr \
+      --libdir=/usr/lib --libexecdir=/usr/lib \
+      --mandir=/usr/share/man --infodir=/usr/share/info \
+      --with-bugurl=https://bugs.archlinux.org/ \
+      --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ \
+      --enable-shared --enable-threads=posix \
+      --with-system-zlib --enable-__cxa_atexit \
+      --disable-libunwind-exceptions --enable-clocale=gnu \
+      --disable-libstdcxx-pch --enable-libstdcxx-time \
+      --enable-gnu-unique-object --enable-linker-build-id \
+      --with-ppl --enable-cloog-backend=isl \
+      --enable-lto --enable-gold --enable-ld=default \
+      --enable-plugin --with-plugin-ld=ld.gold \
+      --disable-multilib --disable-libssp \
+      --enable-checking=release
+  make
+}
+
+check() {
+  cd gcc-build
+
+  # increase stack size to prevent test failures
+  # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=31827
+  ulimit -s 32768
+
+  # do not abort on error as some are "expected"
+  make -k check || true
+  ${_basedir}/contrib/test_summary
+}
+
+package_gcc-libs()
+{
+  pkgdesc="Runtime libraries shipped by GCC"
+  groups=('base')
+  depends=('glibc>=2.14')
+  install=gcc-libs.install
+
+  cd gcc-build
+  make -j1 -C $CHOST/libgcc DESTDIR=${pkgdir} install-shared
+  for lib in libmudflap libgomp libstdc++-v3/src; do
+    make -j1 -C $CHOST/$lib DESTDIR=${pkgdir} install-toolexeclibLTLIBRARIES
+  done
+  make -j1 -C $CHOST/libstdc++-v3/po DESTDIR=${pkgdir} install
+  make -j1 -C $CHOST/libgomp DESTDIR=${pkgdir} install-info
+
+  make -j1 DESTDIR=${pkgdir} install-target-libquadmath  
+  make -j1 DESTDIR=${pkgdir} install-target-libgfortran
+  make -j1 DESTDIR=${pkgdir} install-target-libobjc
+
+  # remove unnecessary files installed by install-target-{libquadmath,libgfortran,libobjc}
+  rm -rf ${pkgdir}/usr/lib/{gcc/,libgfortran.spec}
+
+  # remove static libraries
+  find ${pkgdir} -name *.a -delete
+  
+  # Install Runtime Library Exception
+  install -Dm644 ${_basedir}/COPYING.RUNTIME \
+    ${pkgdir}/usr/share/licenses/gcc-libs/RUNTIME.LIBRARY.EXCEPTION
+}
+
+package_gcc()
+{
+  pkgdesc="The GNU Compiler Collection - C and C++ frontends"
+  depends=("gcc-libs=$pkgver-$pkgrel" 'binutils>=2.22' 'libmpc' 'cloog' 'ppl')
+  groups=('base-devel')
+  install=gcc.install
+
+  cd gcc-build
+  
+  # unfortunately it is much, much easier to install the lot and clean-up the mess...
+  make -j1 DESTDIR=${pkgdir} install
+  rm $pkgdir/usr/bin/{{$CHOST-,}gfortran,{$CHOST-,}gccgo,gnat*}
+  rm $pkgdir/usr/lib/*.so*
+  rm $pkgdir/usr/lib/lib{ffi,gfortran,go{,begin},objc,quadmath}.a
+  rm $pkgdir/usr/lib/libgfortran.spec
+  rm -r $pkgdir/usr/lib/gcc/$CHOST/${pkgver}/{ada{include,lib},finclude,include/objc}
+  rm $pkgdir/usr/lib/gcc/$CHOST/${pkgver}/include/{ffi{,target}.h,quadmath{,_weak}.h}
+  rm $pkgdir/usr/lib/gcc/$CHOST/${pkgver}/{cc1obj{,plus},f951,gnat1,go1,libgfortranbegin.a}
+  rm -r $pkgdir/usr/lib/go
+  rm $pkgdir/usr/share/info/{gccgo,gfortran,gnat*,libgomp,libquadmath}.info
+  rm $pkgdir/usr/share/locale/{de,fr}/LC_MESSAGES/libstdc++.mo
+  rm $pkgdir/usr/share/man/man1/{gccgo,gfortran}.1
+  rm $pkgdir/usr/share/man/man3/ffi*
+
+  # many packages require these symlinks
+  install -dm755 ${pkgdir}/lib
+  ln -sf /usr/bin/cpp ${pkgdir}/lib/cpp
+  ln -sf gcc ${pkgdir}/usr/bin/cc
+  ln -sf g++ ${pkgdir}/usr/bin/c++
+
+  # install gengtype for plugin support
+  install -m755 gcc/build/gengtype $pkgdir/usr/lib/gcc/$CHOST/${pkgver}/
+  install -m644 gcc/gtype.state $pkgdir/usr/lib/gcc/$CHOST/${pkgver}/
+
+  # plugin headers are all over the place at the moment...
+  for i in common objc pragma pretty-print; do
+    ln -sf ../c-$i.h $pkgdir/usr/lib/gcc/$CHOST/${pkgver}/plugin/include/c-family/c-$i.h
+  done
+
+  # POSIX conformance launcher scripts for c89 and c99
+  cat > $pkgdir/usr/bin/c89 <<"EOF"
+#!/bin/sh
+fl="-std=c89"
+for opt; do
+  case "$opt" in
+    -ansi|-std=c89|-std=iso9899:1990) fl="";;
+    -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
+	    exit 1;;
+  esac
+done
+exec gcc $fl ${1+"$@"}
+EOF
+
+  cat > $pkgdir/usr/bin/c99 <<"EOF"
+#!/bin/sh
+fl="-std=c99"
+for opt; do
+  case "$opt" in
+    -std=c99|-std=iso9899:1999) fl="";;
+    -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
+	    exit 1;;
+  esac
+done
+exec gcc $fl ${1+"$@"}
+EOF
+
+  chmod 755 $pkgdir/usr/bin/c{8,9}9
+
+  # install the libstdc++ man pages
+  install -dm755 ${pkgdir}/usr/share/man/man3
+  install -m644 ${srcdir}/man3/* ${pkgdir}/usr/share/man/man3/
+
+  # Install Runtime Library Exception
+  install -Dm644 ${_basedir}/COPYING.RUNTIME \
+    ${pkgdir}/usr/share/licenses/gcc/RUNTIME.LIBRARY.EXCEPTION
+}
+
+package_gcc-fortran()
+{
+  pkgdesc="Fortran front-end for GCC"
+  depends=("gcc=$pkgver-$pkgrel")
+  install=gcc-fortran.install
+
+  cd gcc-build
+  make -j1 DESTDIR=${pkgdir} install-target-libquadmath
+  make -j1 DESTDIR=$pkgdir install-target-libgfortran
+  make -j1 -C $CHOST/libgomp DESTDIR=$pkgdir install-nodist_fincludeHEADERS
+  make -j1 -C gcc DESTDIR=$pkgdir fortran.install-{common,man,info}
+  install -Dm755 gcc/f951 $pkgdir/usr/lib/gcc/$CHOST/$pkgver/f951
+  
+  # remove libraries included in gcc-libs
+  rm ${pkgdir}/usr/lib/lib{gfortran,quadmath}.so*
+  rm ${pkgdir}/usr/share/info/libquadmath.info
+  
+  # Install Runtime Library Exception
+  install -Dm644 ${_basedir}/COPYING.RUNTIME \
+    ${pkgdir}/usr/share/licenses/gcc-fortran/RUNTIME.LIBRARY.EXCEPTION
+}
+
+package_gcc-objc()
+{
+  pkgdesc="Objective-C front-end for GCC"
+  depends=("gcc=$pkgver-$pkgrel")
+
+  cd gcc-build
+  make -j1 DESTDIR=$pkgdir install-target-libobjc
+  install -dm755 $pkgdir/usr/lib/gcc/$CHOST/$pkgver/
+  install -m755 gcc/cc1obj{,plus} $pkgdir/usr/lib/gcc/$CHOST/$pkgver/
+
+  # remove libraries included in gcc-libs
+  rm ${pkgdir}/usr/lib/libobjc.so*
+
+  # Install Runtime Library Exception
+  install -Dm644 ${_basedir}/COPYING.RUNTIME \
+    ${pkgdir}/usr/share/licenses/gcc-objc/RUNTIME.LIBRARY.EXCEPTION
+}
+
+package_gcc-ada()
+{
+  pkgdesc="Ada front-end for GCC (GNAT)"
+  depends=("gcc=$pkgver-$pkgrel")
+  install=gcc-ada.install
+
+  cd gcc-build/gcc
+  make -j1 DESTDIR=$pkgdir ada.install-{common,info}
+  install -m755 gnat1 $pkgdir/usr/lib/gcc/$CHOST/$pkgver
+  
+  # Install Runtime Library Exception
+  install -Dm644 ${_basedir}/COPYING.RUNTIME \
+    ${pkgdir}/usr/share/licenses/gcc-ada/RUNTIME.LIBRARY.EXCEPTION
+}
+
+package_gcc-go()
+{
+  pkgdesc="Go front-end for GCC"
+  depends=("gcc=$pkgver-$pkgrel")
+  install=gcc-go.install
+
+  cd gcc-build
+  make -j1 DESTDIR=$pkgdir install-target-libgo
+  make -j1 -C gcc DESTDIR=$pkgdir go.install-{common,man,info}
+  install -Dm755 gcc/go1 $pkgdir/usr/lib/gcc/$CHOST/$pkgver/go1
+
+  # Install Runtime Library Exception
+  install -Dm644 ${_basedir}/COPYING.RUNTIME \
+    ${pkgdir}/usr/share/licenses/gcc-go/RUNTIME.LIBRARY.EXCEPTION
+}

Deleted: core-i686/gcc-ada.install
===================================================================
--- core-i686/gcc-ada.install	2012-01-25 22:32:22 UTC (rev 147556)
+++ core-i686/gcc-ada.install	2012-01-25 22:42:46 UTC (rev 147557)
@@ -1,20 +0,0 @@
-infodir=usr/share/info
-filelist=(gnat-style.info gnat_rm.info gnat_ugn.info)
-
-post_install() {
-  [ -x usr/bin/install-info ] || return 0
-  for file in ${filelist[@]}; do
-    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
-  done
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-pre_remove() {
-  [ -x usr/bin/install-info ] || return 0
-  for file in ${filelist[@]}; do
-    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
-  done
-}

Copied: gcc/repos/core-i686/gcc-ada.install (from rev 147556, gcc/repos/testing-i686/gcc-ada.install)
===================================================================
--- core-i686/gcc-ada.install	                        (rev 0)
+++ core-i686/gcc-ada.install	2012-01-25 22:42:46 UTC (rev 147557)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gnat-style.info gnat_rm.info gnat_ugn.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Deleted: core-i686/gcc-fortran.install
===================================================================
--- core-i686/gcc-fortran.install	2012-01-25 22:32:22 UTC (rev 147556)
+++ core-i686/gcc-fortran.install	2012-01-25 22:42:46 UTC (rev 147557)
@@ -1,16 +0,0 @@
-infodir=usr/share/info
-file="gfortran.info"
-
-post_install() {
-  [ -x usr/bin/install-info ] || return 0
-  install-info $infodir/$file.gz $infodir/dir 2> /dev/null
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-pre_remove() {
-  [ -x usr/bin/install-info ] || return 0
-  install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
-}

Copied: gcc/repos/core-i686/gcc-fortran.install (from rev 147556, gcc/repos/testing-i686/gcc-fortran.install)
===================================================================
--- core-i686/gcc-fortran.install	                        (rev 0)
+++ core-i686/gcc-fortran.install	2012-01-25 22:42:46 UTC (rev 147557)
@@ -0,0 +1,16 @@
+infodir=usr/share/info
+file="gfortran.info"
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}

Deleted: core-i686/gcc-go.install
===================================================================
--- core-i686/gcc-go.install	2012-01-25 22:32:22 UTC (rev 147556)
+++ core-i686/gcc-go.install	2012-01-25 22:42:46 UTC (rev 147557)
@@ -1,20 +0,0 @@
-infodir=usr/share/info
-filelist=(gccgo.info)
-
-post_install() {
-  [ -x usr/bin/install-info ] || return 0
-  for file in ${filelist[@]}; do
-    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
-  done
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-pre_remove() {
-  [ -x usr/bin/install-info ] || return 0
-  for file in ${filelist[@]}; do
-    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
-  done
-}

Copied: gcc/repos/core-i686/gcc-go.install (from rev 147556, gcc/repos/testing-i686/gcc-go.install)
===================================================================
--- core-i686/gcc-go.install	                        (rev 0)
+++ core-i686/gcc-go.install	2012-01-25 22:42:46 UTC (rev 147557)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gccgo.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Deleted: core-i686/gcc-hash-style-both.patch
===================================================================
--- core-i686/gcc-hash-style-both.patch	2012-01-25 22:32:22 UTC (rev 147556)
+++ core-i686/gcc-hash-style-both.patch	2012-01-25 22:42:46 UTC (rev 147557)
@@ -1,122 +0,0 @@
---- gcc/config/alpha/linux-elf.h.orig	2010-12-09 23:27:07.000000000 +1000
-+++ gcc/config/alpha/linux-elf.h	2011-03-11 10:01:47.770000457 +1000
-@@ -41,7 +41,7 @@
- 
- #define ELF_DYNAMIC_LINKER	LINUX_DYNAMIC_LINKER
- 
--#define LINK_SPEC "-m elf64alpha %{G*} %{relax:-relax}		\
-+#define LINK_SPEC "-m elf64alpha --hash-style=both %{G*} %{relax:-relax}	\
-   %{O*:-O3} %{!O*:-O1}						\
-   %{shared:-shared}						\
-   %{!shared:							\
---- gcc/config/i386/linux64.h.orig	2011-03-03 08:35:36.000000000 +1000
-+++ gcc/config/i386/linux64.h	2011-03-11 10:01:47.770000457 +1000
-@@ -78,7 +78,7 @@
-  %{!mno-sse2avx:%{mavx:-msse2avx}} %{msse2avx:%{!mavx:-msse2avx}}"
- 
- #undef	LINK_SPEC
--#define LINK_SPEC "%{" SPEC_64 ":-m elf_x86_64} %{" SPEC_32 ":-m elf_i386} \
-+#define LINK_SPEC "%{" SPEC_64 ":-m elf_x86_64} %{" SPEC_32 ":-m elf_i386} --hash-style=both \
-   %{shared:-shared} \
-   %{!shared: \
-     %{!static: \
---- gcc/config/i386/linux.h.orig	2011-01-15 04:45:06.000000000 +1000
-+++ gcc/config/i386/linux.h	2011-03-11 10:01:47.770000457 +1000
-@@ -104,7 +104,7 @@
-   { "dynamic_linker", LINUX_DYNAMIC_LINKER }
- 
- #undef	LINK_SPEC
--#define LINK_SPEC "-m %(link_emulation) %{shared:-shared} \
-+#define LINK_SPEC "-m %(link_emulation) --hash-style=both %{shared:-shared} \
-   %{!shared: \
-     %{!static: \
-       %{rdynamic:-export-dynamic} \
---- gcc/config/ia64/linux.h.orig	2010-12-09 23:27:07.000000000 +1000
-+++ gcc/config/ia64/linux.h	2011-03-11 10:01:47.770000457 +1000
-@@ -64,7 +64,7 @@
- #define GLIBC_DYNAMIC_LINKER "/lib/ld-linux-ia64.so.2"
- 
- #undef LINK_SPEC
--#define LINK_SPEC "\
-+#define LINK_SPEC "--hash-style=both \
-   %{shared:-shared} \
-   %{!shared: \
-     %{!static: \
---- gcc/config/rs6000/linux64.h.orig	2011-02-11 03:30:10.000000000 +1000
-+++ gcc/config/rs6000/linux64.h	2011-03-11 10:03:34.280000457 +1000
-@@ -389,11 +389,11 @@
-   CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER64, UCLIBC_DYNAMIC_LINKER64)
- 
- 
--#define LINK_OS_LINUX_SPEC32 "-m elf32ppclinux %{!shared: %{!static: \
-+#define LINK_OS_LINUX_SPEC32 "-m elf32ppclinux --hash-style=both %{!shared: %{!static: \
-   %{rdynamic:-export-dynamic} \
-   -dynamic-linker " LINUX_DYNAMIC_LINKER32 "}}"
- 
--#define LINK_OS_LINUX_SPEC64 "-m elf64ppc %{!shared: %{!static: \
-+#define LINK_OS_LINUX_SPEC64 "-m elf64ppc --hash-style=both %{!shared: %{!static: \
-   %{rdynamic:-export-dynamic} \
-   -dynamic-linker " LINUX_DYNAMIC_LINKER64 "}}"
- 
---- gcc/config/rs6000/sysv4.h.orig	2011-01-28 04:36:03.000000000 +1000
-+++ gcc/config/rs6000/sysv4.h	2011-03-11 10:01:47.773333792 +1000
-@@ -830,7 +830,7 @@
- #define LINUX_DYNAMIC_LINKER \
-   CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER, UCLIBC_DYNAMIC_LINKER)
- 
--#define LINK_OS_LINUX_SPEC "-m elf32ppclinux %{!shared: %{!static: \
-+#define LINK_OS_LINUX_SPEC "-m elf32ppclinux --hash-style=both %{!shared: %{!static: \
-   %{rdynamic:-export-dynamic} \
-   -dynamic-linker " LINUX_DYNAMIC_LINKER "}}"
- 
---- gcc/config/s390/linux.h.orig	2010-12-09 23:27:07.000000000 +1000
-+++ gcc/config/s390/linux.h	2011-03-11 10:01:47.770000457 +1000
-@@ -77,7 +77,7 @@
- 
- #undef  LINK_SPEC
- #define LINK_SPEC \
--  "%{m31:-m elf_s390}%{m64:-m elf64_s390} \
-+  "%{m31:-m elf_s390}%{m64:-m elf64_s390} --hash-style=both \
-    %{shared:-shared} \
-    %{!shared: \
-       %{static:-static} \
---- gcc/config/sparc/linux64.h.orig	2011-02-17 23:57:21.000000000 +1000
-+++ gcc/config/sparc/linux64.h	2011-03-11 10:01:47.770000457 +1000
-@@ -113,7 +113,7 @@
-   { "link_arch_default", LINK_ARCH_DEFAULT_SPEC },	  \
-   { "link_arch",	 LINK_ARCH_SPEC },
- 
--#define LINK_ARCH32_SPEC "-m elf32_sparc -Y P,%R/usr/lib %{shared:-shared} \
-+#define LINK_ARCH32_SPEC "-m elf32_sparc --hash-style=both -Y P,%R/usr/lib %{shared:-shared} \
-   %{!shared: \
-     %{!static: \
-       %{rdynamic:-export-dynamic} \
-@@ -121,7 +121,7 @@
-       %{static:-static}} \
- "
- 
--#define LINK_ARCH64_SPEC "-m elf64_sparc -Y P,%R/usr/lib64 %{shared:-shared} \
-+#define LINK_ARCH64_SPEC "-m elf64_sparc --hash-style=both -Y P,%R/usr/lib64 %{shared:-shared} \
-   %{!shared: \
-     %{!static: \
-       %{rdynamic:-export-dynamic} \
-@@ -193,7 +193,7 @@
- #else /* !SPARC_BI_ARCH */
- 
- #undef LINK_SPEC
--#define LINK_SPEC "-m elf64_sparc -Y P,%R/usr/lib64 %{shared:-shared} \
-+#define LINK_SPEC "-m elf64_sparc --hash-style=both -Y P,%R/usr/lib64 %{shared:-shared} \
-   %{!shared: \
-     %{!static: \
-       %{rdynamic:-export-dynamic} \
---- gcc/config/sparc/linux.h.orig	2011-01-27 06:30:12.000000000 +1000
-+++ gcc/config/sparc/linux.h	2011-03-11 10:01:47.770000457 +1000
-@@ -74,7 +74,7 @@
- #define GLIBC_DYNAMIC_LINKER "/lib/ld-linux.so.2"
- 
- #undef  LINK_SPEC
--#define LINK_SPEC "-m elf32_sparc -Y P,/usr/lib %{shared:-shared} \
-+#define LINK_SPEC "-m elf32_sparc --hash-style=both -Y P,/usr/lib %{shared:-shared} \
-   %{!mno-relax:%{!r:-relax}} \
-   %{!shared: \
-     %{!static: \

Copied: gcc/repos/core-i686/gcc-hash-style-both.patch (from rev 147556, gcc/repos/testing-i686/gcc-hash-style-both.patch)
===================================================================
--- core-i686/gcc-hash-style-both.patch	                        (rev 0)
+++ core-i686/gcc-hash-style-both.patch	2012-01-25 22:42:46 UTC (rev 147557)
@@ -0,0 +1,122 @@
+--- gcc/config/alpha/linux-elf.h.orig	2010-12-09 23:27:07.000000000 +1000
++++ gcc/config/alpha/linux-elf.h	2011-03-11 10:01:47.770000457 +1000
+@@ -41,7 +41,7 @@
+ 
+ #define ELF_DYNAMIC_LINKER	LINUX_DYNAMIC_LINKER
+ 
+-#define LINK_SPEC "-m elf64alpha %{G*} %{relax:-relax}		\
++#define LINK_SPEC "-m elf64alpha --hash-style=both %{G*} %{relax:-relax}	\
+   %{O*:-O3} %{!O*:-O1}						\
+   %{shared:-shared}						\
+   %{!shared:							\
+--- gcc/config/i386/linux64.h.orig	2011-03-03 08:35:36.000000000 +1000
++++ gcc/config/i386/linux64.h	2011-03-11 10:01:47.770000457 +1000
+@@ -78,7 +78,7 @@
+  %{!mno-sse2avx:%{mavx:-msse2avx}} %{msse2avx:%{!mavx:-msse2avx}}"
+ 
+ #undef	LINK_SPEC
+-#define LINK_SPEC "%{" SPEC_64 ":-m elf_x86_64} %{" SPEC_32 ":-m elf_i386} \
++#define LINK_SPEC "%{" SPEC_64 ":-m elf_x86_64} %{" SPEC_32 ":-m elf_i386} --hash-style=both \
+   %{shared:-shared} \
+   %{!shared: \
+     %{!static: \
+--- gcc/config/i386/linux.h.orig	2011-01-15 04:45:06.000000000 +1000
++++ gcc/config/i386/linux.h	2011-03-11 10:01:47.770000457 +1000
+@@ -104,7 +104,7 @@
+   { "dynamic_linker", LINUX_DYNAMIC_LINKER }
+ 
+ #undef	LINK_SPEC
+-#define LINK_SPEC "-m %(link_emulation) %{shared:-shared} \
++#define LINK_SPEC "-m %(link_emulation) --hash-style=both %{shared:-shared} \
+   %{!shared: \
+     %{!static: \
+       %{rdynamic:-export-dynamic} \
+--- gcc/config/ia64/linux.h.orig	2010-12-09 23:27:07.000000000 +1000
++++ gcc/config/ia64/linux.h	2011-03-11 10:01:47.770000457 +1000
+@@ -64,7 +64,7 @@
+ #define GLIBC_DYNAMIC_LINKER "/lib/ld-linux-ia64.so.2"
+ 
+ #undef LINK_SPEC
+-#define LINK_SPEC "\
++#define LINK_SPEC "--hash-style=both \
+   %{shared:-shared} \
+   %{!shared: \
+     %{!static: \
+--- gcc/config/rs6000/linux64.h.orig	2011-02-11 03:30:10.000000000 +1000
++++ gcc/config/rs6000/linux64.h	2011-03-11 10:03:34.280000457 +1000
+@@ -389,11 +389,11 @@
+   CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER64, UCLIBC_DYNAMIC_LINKER64)
+ 
+ 
+-#define LINK_OS_LINUX_SPEC32 "-m elf32ppclinux %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC32 "-m elf32ppclinux --hash-style=both %{!shared: %{!static: \
+   %{rdynamic:-export-dynamic} \
+   -dynamic-linker " LINUX_DYNAMIC_LINKER32 "}}"
+ 
+-#define LINK_OS_LINUX_SPEC64 "-m elf64ppc %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC64 "-m elf64ppc --hash-style=both %{!shared: %{!static: \
+   %{rdynamic:-export-dynamic} \
+   -dynamic-linker " LINUX_DYNAMIC_LINKER64 "}}"
+ 
+--- gcc/config/rs6000/sysv4.h.orig	2011-01-28 04:36:03.000000000 +1000
++++ gcc/config/rs6000/sysv4.h	2011-03-11 10:01:47.773333792 +1000
+@@ -830,7 +830,7 @@
+ #define LINUX_DYNAMIC_LINKER \
+   CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER, UCLIBC_DYNAMIC_LINKER)
+ 
+-#define LINK_OS_LINUX_SPEC "-m elf32ppclinux %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC "-m elf32ppclinux --hash-style=both %{!shared: %{!static: \
+   %{rdynamic:-export-dynamic} \
+   -dynamic-linker " LINUX_DYNAMIC_LINKER "}}"
+ 
+--- gcc/config/s390/linux.h.orig	2010-12-09 23:27:07.000000000 +1000
++++ gcc/config/s390/linux.h	2011-03-11 10:01:47.770000457 +1000
+@@ -77,7 +77,7 @@
+ 
+ #undef  LINK_SPEC
+ #define LINK_SPEC \
+-  "%{m31:-m elf_s390}%{m64:-m elf64_s390} \
++  "%{m31:-m elf_s390}%{m64:-m elf64_s390} --hash-style=both \
+    %{shared:-shared} \
+    %{!shared: \
+       %{static:-static} \
+--- gcc/config/sparc/linux64.h.orig	2011-02-17 23:57:21.000000000 +1000
++++ gcc/config/sparc/linux64.h	2011-03-11 10:01:47.770000457 +1000
+@@ -113,7 +113,7 @@
+   { "link_arch_default", LINK_ARCH_DEFAULT_SPEC },	  \
+   { "link_arch",	 LINK_ARCH_SPEC },
+ 
+-#define LINK_ARCH32_SPEC "-m elf32_sparc -Y P,%R/usr/lib %{shared:-shared} \
++#define LINK_ARCH32_SPEC "-m elf32_sparc --hash-style=both -Y P,%R/usr/lib %{shared:-shared} \
+   %{!shared: \
+     %{!static: \
+       %{rdynamic:-export-dynamic} \
+@@ -121,7 +121,7 @@
+       %{static:-static}} \
+ "
+ 
+-#define LINK_ARCH64_SPEC "-m elf64_sparc -Y P,%R/usr/lib64 %{shared:-shared} \
++#define LINK_ARCH64_SPEC "-m elf64_sparc --hash-style=both -Y P,%R/usr/lib64 %{shared:-shared} \
+   %{!shared: \
+     %{!static: \
+       %{rdynamic:-export-dynamic} \
+@@ -193,7 +193,7 @@
+ #else /* !SPARC_BI_ARCH */
+ 
+ #undef LINK_SPEC
+-#define LINK_SPEC "-m elf64_sparc -Y P,%R/usr/lib64 %{shared:-shared} \
++#define LINK_SPEC "-m elf64_sparc --hash-style=both -Y P,%R/usr/lib64 %{shared:-shared} \
+   %{!shared: \
+     %{!static: \
+       %{rdynamic:-export-dynamic} \
+--- gcc/config/sparc/linux.h.orig	2011-01-27 06:30:12.000000000 +1000
++++ gcc/config/sparc/linux.h	2011-03-11 10:01:47.770000457 +1000
+@@ -74,7 +74,7 @@
+ #define GLIBC_DYNAMIC_LINKER "/lib/ld-linux.so.2"
+ 
+ #undef  LINK_SPEC
+-#define LINK_SPEC "-m elf32_sparc -Y P,/usr/lib %{shared:-shared} \
++#define LINK_SPEC "-m elf32_sparc --hash-style=both -Y P,/usr/lib %{shared:-shared} \
+   %{!mno-relax:%{!r:-relax}} \
+   %{!shared: \
+     %{!static: \

Deleted: core-i686/gcc-libs.install
===================================================================
--- core-i686/gcc-libs.install	2012-01-25 22:32:22 UTC (rev 147556)
+++ core-i686/gcc-libs.install	2012-01-25 22:42:46 UTC (rev 147557)
@@ -1,16 +0,0 @@
-infodir=usr/share/info
-filelist=(libgomp.info libquadmath.info)
-
-post_upgrade() {
-  [ -x usr/bin/install-info ] || return 0
-  for file in ${filelist[@]}; do
-    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
-  done
-}
-
-pre_remove() {
-  [ -x usr/bin/install-info ] || return 0
-  for file in ${filelist[@]}; do
-    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
-  done
-}

Copied: gcc/repos/core-i686/gcc-libs.install (from rev 147556, gcc/repos/testing-i686/gcc-libs.install)
===================================================================
--- core-i686/gcc-libs.install	                        (rev 0)
+++ core-i686/gcc-libs.install	2012-01-25 22:42:46 UTC (rev 147557)
@@ -0,0 +1,16 @@
+infodir=usr/share/info
+filelist=(libgomp.info libquadmath.info)
+
+post_upgrade() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Deleted: core-i686/gcc.install
===================================================================
--- core-i686/gcc.install	2012-01-25 22:32:22 UTC (rev 147556)
+++ core-i686/gcc.install	2012-01-25 22:42:46 UTC (rev 147557)
@@ -1,20 +0,0 @@
-infodir=usr/share/info
-filelist=(cpp.info cppinternals.info gcc.info gccinstall.info gccint.info)
-
-post_install() {
-  [ -x usr/bin/install-info ] || return 0
-  for file in ${filelist[@]}; do
-    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
-  done
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-pre_remove() {
-  [ -x usr/bin/install-info ] || return 0
-  for file in ${filelist[@]}; do
-    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
-  done
-}

Copied: gcc/repos/core-i686/gcc.install (from rev 147556, gcc/repos/testing-i686/gcc.install)
===================================================================
--- core-i686/gcc.install	                        (rev 0)
+++ core-i686/gcc.install	2012-01-25 22:42:46 UTC (rev 147557)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(cpp.info cppinternals.info gcc.info gccinstall.info gccint.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Deleted: core-i686/gcc_pure64.patch
===================================================================
--- core-i686/gcc_pure64.patch	2012-01-25 22:32:22 UTC (rev 147556)
+++ core-i686/gcc_pure64.patch	2012-01-25 22:42:46 UTC (rev 147557)
@@ -1,26 +0,0 @@
-diff -Naur gcc-4.2.0.orig/gcc/config/i386/linux64.h gcc-4.2.0/gcc/config/i386/linux64.h
---- gcc-4.2.0.orig/gcc/config/i386/linux64.h	2007-05-16 19:21:19.000000000 -0400
-+++ gcc-4.2.0/gcc/config/i386/linux64.h	2007-05-18 17:04:05.000000000 -0400
-@@ -49,8 +49,8 @@
-    When the -shared link option is used a final link is not being
-    done.  */
- 
--#define GLIBC_DYNAMIC_LINKER32 "/lib/ld-linux.so.2"
--#define GLIBC_DYNAMIC_LINKER64 "/lib64/ld-linux-x86-64.so.2"
-+#define GLIBC_DYNAMIC_LINKER32 "/lib32/ld-linux.so.2"
-+#define GLIBC_DYNAMIC_LINKER64 "/lib/ld-linux-x86-64.so.2"
- 
- #undef	LINK_SPEC
- #define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} \
-diff -Naur gcc-4.2.0.orig/gcc/config/i386/t-linux64 gcc-4.2.0/gcc/config/i386/t-linux64
---- gcc-4.2.0.orig/gcc/config/i386/t-linux64	2007-05-16 19:21:19.000000000 -0400
-+++ gcc-4.2.0/gcc/config/i386/t-linux64	2007-05-18 17:04:36.000000000 -0400
-@@ -6,7 +6,7 @@
- 
- MULTILIB_OPTIONS = m64/m32
- MULTILIB_DIRNAMES = 64 32 
--MULTILIB_OSDIRNAMES = ../lib64 $(if $(wildcard $(shell echo $(SYSTEM_HEADER_DIR))/../../usr/lib32),../lib32,../lib)
-+MULTILIB_OSDIRNAMES = ../lib ../lib32
- 
- LIBGCC = stmp-multilib
- INSTALL_LIBGCC = install-multilib

Copied: gcc/repos/core-i686/gcc_pure64.patch (from rev 147556, gcc/repos/testing-i686/gcc_pure64.patch)
===================================================================
--- core-i686/gcc_pure64.patch	                        (rev 0)
+++ core-i686/gcc_pure64.patch	2012-01-25 22:42:46 UTC (rev 147557)
@@ -0,0 +1,26 @@
+diff -Naur gcc-4.2.0.orig/gcc/config/i386/linux64.h gcc-4.2.0/gcc/config/i386/linux64.h
+--- gcc-4.2.0.orig/gcc/config/i386/linux64.h	2007-05-16 19:21:19.000000000 -0400
++++ gcc-4.2.0/gcc/config/i386/linux64.h	2007-05-18 17:04:05.000000000 -0400
+@@ -49,8 +49,8 @@
+    When the -shared link option is used a final link is not being
+    done.  */
+ 
+-#define GLIBC_DYNAMIC_LINKER32 "/lib/ld-linux.so.2"
+-#define GLIBC_DYNAMIC_LINKER64 "/lib64/ld-linux-x86-64.so.2"
++#define GLIBC_DYNAMIC_LINKER32 "/lib32/ld-linux.so.2"
++#define GLIBC_DYNAMIC_LINKER64 "/lib/ld-linux-x86-64.so.2"
+ 
+ #undef	LINK_SPEC
+ #define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} \
+diff -Naur gcc-4.2.0.orig/gcc/config/i386/t-linux64 gcc-4.2.0/gcc/config/i386/t-linux64
+--- gcc-4.2.0.orig/gcc/config/i386/t-linux64	2007-05-16 19:21:19.000000000 -0400
++++ gcc-4.2.0/gcc/config/i386/t-linux64	2007-05-18 17:04:36.000000000 -0400
+@@ -6,7 +6,7 @@
+ 
+ MULTILIB_OPTIONS = m64/m32
+ MULTILIB_DIRNAMES = 64 32 
+-MULTILIB_OSDIRNAMES = ../lib64 $(if $(wildcard $(shell echo $(SYSTEM_HEADER_DIR))/../../usr/lib32),../lib32,../lib)
++MULTILIB_OSDIRNAMES = ../lib ../lib32
+ 
+ LIBGCC = stmp-multilib
+ INSTALL_LIBGCC = install-multilib




More information about the arch-commits mailing list